#ifndef OPTIONS_H
#define OPTIONS_H

#include <stdio.h>

struct options {
	int use_sdl:1;
	double budget;		/* also the queue preload time */
	double preload_time;
	int cpu;		/* CPU for HRT tasks */
	double stop_after;	/* stop after this many milliseconds */
	double seek_to;		/* seek to this time */
	double set_period;	/* set period to this */
	double phase;
#ifndef USE_LITMUS
	int use_fifo:1;		/* use SCHED_FIFO for linux */
#endif
};

struct video_state;

int parse_args(struct video_state*, struct options*, int, char**);

#endif
