#ifndef QUEUE_H
#define QUEUE_H

struct queue;

int queue_init(	struct queue**	q,
		unsigned int 	slot_count,
		unsigned int 	slot_size,
		char*		slots,
		void* 		buffer_mem,
		void		(*cpy_fcn)(void*, void*));

int queue_start_write(struct queue* q, void **ptr);
void queue_finish_write(struct queue* q, void *ptr);
int queue_read(struct queue* q, void* dest);
void queue_destroy(struct queue**);

#endif
