#include <stdlib.h>
#include <stdio.h>

#include "inc/video_common.h"
#include "inc/common.h"

void die(char *msg)
{
	fprintf(stderr, "%s\n", msg);
	exit(EXIT_FAILURE);
}

void avpicture_alloc_wrap(AVPicture *pict, const int width, const int height)
{
	if (avpicture_alloc(pict, SCREEN_PIX_FMT, width, height) < 0)
		die("Could not allocate AVPicture\n");
}
