#ifndef VIDEO_QUEUE_H
#define VIDEO_QUEUE_H

#include <libavformat/avformat.h>

struct video_state;
struct thread_ctx;

struct vid_q_item {
	double pts;
	AVPicture picture;
};

void initialize_vid_q(struct thread_ctx*);
void tear_down_vid_q(struct video_state*);
int frames_to_preload(struct thread_ctx*);

#endif
